Subject: Re: [PATCH v2] Do not unquote + into ' ' in URLs

From: Thomas Rast <[email-masked]>
Date: Sat, 31 Jul 2010 23:33:38 +0200

Jasper St. Pierre wrote:
> Hmm.. could we get a follow-up on this patch? It's annoying because it's both
> backwards and forwards incompatible: the %2b workaround doesn't work in
> older versions.

I was hoping for an Ack from someone who knows the whole HTTP
business, because I don't feel confident enough to say it won't break
anything there.

To be precise, if the client ever attempts to decode URLs with query
strings (for whatever reasons) then it would break.  Probably there
are no such URLs, but I don't know for sure.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch